#
# spec file for package at (Version 3.1.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         at
Copyright:    1993 David Parsons, 1993, 1994 Thomas Koenig
Group:        System Environment/Base
Provides:     at 
Autoreqprov:  on
Version:      3.1.8
Release:      396
Summary:      Job Manager
Source: at-3.1.8.tar.gz
Patch: at-3.1.8.dif

%description
With this program you can run jobs at a specified time.

Authors:
--------
    Thomas Koenig <ig25@rz.uni-karlsruhe.de>
    David Parsons <orc@pell.chi.il.us>
    Martin Schulze <joey@debian.org>
    Siggy Brentrup <bsb@winnegan.de>

SuSE series: ap

%prep
%setup
%patch
%{?suse_update_config:%{suse_update_config -f}}

%build
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
export SENDMAIL=/usr/sbin/sendmail
./configure --prefix=/usr --with-daemon_username=at --with-daemon_groupname=at --mandir=/usr/share/man
make

%install
export CFLAGS="$RPM_OPT_FLAGS"
export SENDMAIL=/usr/sbin/sendmail
make install
#mkdir -p /install /var/adm/fillup-templates /etc/init.d
install -m 644 rc.config.at /var/adm/fillup-templates/
install rc.at /etc/init.d/at
ln -sf ../../etc/init.d/at /usr/sbin/rcat

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.at
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.at and"
  echo "update by hand."
fi
if test -e var/cron/tabs/root ; then
    if grep -v ^# var/cron/tabs/root | grep atrun > /dev/null ; then
        echo
        echo "Attention: found atrun in crontab for root. You should disable it"
        echo "or you should set START_ATD to no in etc/rc.config ."
        echo
    fi
fi
sbin/insserv etc/init.d/at

%postun
sbin/insserv etc/init.d/

%files
%doc Problems Copyright README ChangeLog timespec
%dir /var/spool/atspool
%config /etc/at.deny
/usr/sbin/rcat
%config /etc/init.d/at
/usr/bin/at
/usr/bin/atq
/usr/bin/atrm
/usr/bin/batch
%doc /usr/share/man/man1/at.1.gz
%doc /usr/share/man/man1/atq.1.gz
%doc /usr/share/man/man1/atrm.1.gz
%doc /usr/share/man/man1/batch.1.gz
%doc /usr/share/man/man8/atd.8.gz
%doc /usr/share/man/man8/atrun.8.gz
/usr/sbin/atd
/usr/sbin/atrun
/var/adm/fillup-templates/rc.config.at
/var/spool/atjobs/.SEQ

%changelog -n at
* Mon Aug 06 2001 - ro@suse.de
- updated rc script
* Fri Jun 15 2001 - schwab@suse.de
- Add %%suse_update_config.
* Tue Nov 28 2000 - ro@suse.de
- startscript to etc/init.d
* Mon Sep 25 2000 - ro@suse.de
- sorted
* Wed Feb 16 2000 - dipa@suse.de
- apply debian patch at_3.1.8-8.diff full section of: at.c, at.1.in,
  at.deny, at_allow.5, atd.8.in, at.8.in, batch config.guess,
  config.sub, daemon.c, lex.yy.c, panic.c, parsetime.y, y.tab.c
  (fix for bug #1766)
* Fri Feb 04 2000 - ro@suse.de
- fix missing getlock preload
* Fri Feb 04 2000 - ro@suse.de
- applied security fixes from thomas
* Mon Jan 17 2000 - ro@suse.de
- man -> usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Dec 08 1998 - ro@suse.de
- added reload to script (does a restart)
* Mon Dec 07 1998 - ro@suse.de
- added symlink /sbin/rcat -> init.d/at
* Mon Dec 07 1998 - ro@suse.de
- updated init-script
* Fri Feb 27 1998 - ro@suse.de
- installed timespec in docdir / fixed path in manpage
* Mon Oct 27 1997 - ro@suse.de
- update to version 3.1.8
  ready for autobuild
* Sun Jun 22 1997 - florian@suse.de
- update to version 3.1.7
* Sun Jun 01 1997 - bs@suse.de
- moved fillup stuff to var/adm/fillup-templates
* Thu Jan 02 1997 - bs@suse.de
  boot script beautified.
* Thu Jan 02 1997 - bs@suse.de
  recompiled and added README
* Thu Jan 02 1997 - bs@suse.de
- /var/spool/atspool/atspool fixed.
* Thu Jan 02 1997 - bs@suse.de
- new version 3.0
- fillup etc/rc.config and sbin/init.d/at added.
* Thu Jan 02 1997 - bs@suse.de
  switched to version pre-3.0-960812.
  New: atd (daemon)
  fillup etc/rc.config and sbin/init.d-stuff added.
* Thu Jan 02 1997 - florian@suse.de
  allow login names to be up to 16 characters long
